<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.0"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>API: Member List</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/x-mathjax-config">
  MathJax.Hub.Config({
    extensions: ["tex2jax.js"],
    jax: ["input/TeX","output/HTML-CSS"],
});
</script>
<script type="text/javascript" async="async" src="MathJax-2.7.0/MathJax.js"></script>
<link href="doxygen_user.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="OpenSimLogoWhiteHorizontal_small.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">API
   &#160;<span id="projectnumber">4.4.1-2022-09-05-d4bb9bc34</span>
   </div>
   <div id="projectbrief">For MATLAB, Python, Java, and C++ users</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.0 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('classOpenSim_1_1AbstractOutput.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">OpenSim::AbstractOutput Member List</div>  </div>
</div><!--header-->
<div class="contents">

<p>This is the complete list of members for <a class="el" href="classOpenSim_1_1AbstractOutput.html">OpenSim::AbstractOutput</a>, including all inherited members.</p>
<table class="directory">
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1AbstractOutput.html#a8da6840627e2288332027d2285291199">_owner</a></td><td class="entry"><a class="el" href="classOpenSim_1_1AbstractOutput.html">OpenSim::AbstractOutput</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1AbstractOutput.html#a0bfcb6c6daec50e7282346522f88dc63">AbstractOutput</a>()</td><td class="entry"><a class="el" href="classOpenSim_1_1AbstractOutput.html">OpenSim::AbstractOutput</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1AbstractOutput.html#ab03fca4d34bedf0c35f5594a2d929234">AbstractOutput</a>(const std::string &amp;name, SimTK::Stage dependsOnStage, bool isList)</td><td class="entry"><a class="el" href="classOpenSim_1_1AbstractOutput.html">OpenSim::AbstractOutput</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1AbstractOutput.html#a2725d90966fff4eab25cdcaf44a16d6c">AbstractOutput</a>(const AbstractOutput &amp;other)=default</td><td class="entry"><a class="el" href="classOpenSim_1_1AbstractOutput.html">OpenSim::AbstractOutput</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1AbstractOutput.html#ac00c50568fed929e041a903ea7f6c864">addChannel</a>(const std::string &amp;channelName)=0</td><td class="entry"><a class="el" href="classOpenSim_1_1AbstractOutput.html">OpenSim::AbstractOutput</a></td><td class="entry"><span class="mlabel">pure virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1AbstractOutput.html#a95d2f13e17a4ca479e5ba14174352cea">clearChannels</a>()=0</td><td class="entry"><a class="el" href="classOpenSim_1_1AbstractOutput.html">OpenSim::AbstractOutput</a></td><td class="entry"><span class="mlabel">pure virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1AbstractOutput.html#a75c460400a10304085418655e3293eef">clone</a>() const =0</td><td class="entry"><a class="el" href="classOpenSim_1_1AbstractOutput.html">OpenSim::AbstractOutput</a></td><td class="entry"><span class="mlabel">pure virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1AbstractOutput.html#a1ca0a66b579c965a5b28e93b5384bef1">compatibleAssign</a>(const AbstractOutput &amp;)=0</td><td class="entry"><a class="el" href="classOpenSim_1_1AbstractOutput.html">OpenSim::AbstractOutput</a></td><td class="entry"><span class="mlabel">pure virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1AbstractOutput.html#a7d8a0884091b6d3ff9339ce3819f73e6">getChannel</a>(const std::string &amp;name) const =0</td><td class="entry"><a class="el" href="classOpenSim_1_1AbstractOutput.html">OpenSim::AbstractOutput</a></td><td class="entry"><span class="mlabel">pure virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1AbstractOutput.html#a597c06b41e2c9ec0a970b0b564ad4faa">getDependsOnStage</a>() const</td><td class="entry"><a class="el" href="classOpenSim_1_1AbstractOutput.html">OpenSim::AbstractOutput</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1AbstractOutput.html#ab76339f1363078e6008effa62d407668">getName</a>() const</td><td class="entry"><a class="el" href="classOpenSim_1_1AbstractOutput.html">OpenSim::AbstractOutput</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1AbstractOutput.html#a854da294316ce341fe219ad6cbc4276a">getNumberOfSignificantDigits</a>() const</td><td class="entry"><a class="el" href="classOpenSim_1_1AbstractOutput.html">OpenSim::AbstractOutput</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1AbstractOutput.html#a5535e2ea3d5948bf2e17b8e04aee3984">getOwner</a>() const</td><td class="entry"><a class="el" href="classOpenSim_1_1AbstractOutput.html">OpenSim::AbstractOutput</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1AbstractOutput.html#ac94efb03c2b8a282bf29a7f99d66a0a5">getPathName</a>() const</td><td class="entry"><a class="el" href="classOpenSim_1_1AbstractOutput.html">OpenSim::AbstractOutput</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1AbstractOutput.html#aca6e8788f9d377d511143ce89930d238">getTypeName</a>() const =0</td><td class="entry"><a class="el" href="classOpenSim_1_1AbstractOutput.html">OpenSim::AbstractOutput</a></td><td class="entry"><span class="mlabel">pure virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1AbstractOutput.html#ac64621180ef643488dff976a2642f6fe">getValueAsString</a>(const SimTK::State &amp;state) const =0</td><td class="entry"><a class="el" href="classOpenSim_1_1AbstractOutput.html">OpenSim::AbstractOutput</a></td><td class="entry"><span class="mlabel">pure virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1AbstractOutput.html#ad1df56d1fafdb75058cb54426d31bb7f">isCompatible</a>(const AbstractOutput &amp;) const =0</td><td class="entry"><a class="el" href="classOpenSim_1_1AbstractOutput.html">OpenSim::AbstractOutput</a></td><td class="entry"><span class="mlabel">pure virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1AbstractOutput.html#a8eeca28497e62f0a477cf73d925387a7">isListOutput</a>() const</td><td class="entry"><a class="el" href="classOpenSim_1_1AbstractOutput.html">OpenSim::AbstractOutput</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1AbstractOutput.html#ae9da887d0d0fa0233b67c5458020817d">operator=</a>(const AbstractOutput &amp;o)</td><td class="entry"><a class="el" href="classOpenSim_1_1AbstractOutput.html">OpenSim::AbstractOutput</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1AbstractOutput.html#abccc618d0cff3592f4b687c66978911c">setNumberOfSignificantDigits</a>(unsigned int numSigFigs)</td><td class="entry"><a class="el" href="classOpenSim_1_1AbstractOutput.html">OpenSim::AbstractOutput</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1AbstractOutput.html#aef2d26aee8f11fbb213bbc21a359652d">setOwner</a>(const Component &amp;owner)</td><td class="entry"><a class="el" href="classOpenSim_1_1AbstractOutput.html">OpenSim::AbstractOutput</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1AbstractOutput.html#a7e98263bd1b2661b1720e8a42e9148e0">~AbstractOutput</a>()=default</td><td class="entry"><a class="el" href="classOpenSim_1_1AbstractOutput.html">OpenSim::AbstractOutput</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
</table></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="footer">Generated on Mon Sep 5 2022 20:49:40 for API by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.0 </li>
  </ul>
</div>
</body>
</html>
